IXOR (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.IXOR class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class IXOR

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ArithmeticInstruction
              org.apache.bcel.generic.IXOR

All Implemented Interfaces:
  Serializable, Cloneable, StackConsumer, StackProducer, TypedInstruction

    public class IXOR

extends ArithmeticInstruction

IXOR - Bitwise XOR int

    Stack: ..., value1, value2 -> ..., result

Version:
  $Id: IXOR.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`IXOR()`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.ArithmeticInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IXOR

    public IXOR()

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.